package com.qmth.eds.bean.dto;

import com.qmth.eds.common.entity.ExamAssign;
import com.qmth.eds.common.enums.ExamAssignStatusEnum;
import com.qmth.eds.common.enums.FormulaEnum;

import java.util.List;

public class ExamAssignDto extends ExamAssign {

    private Integer actualCount;

    private String syncCourseCode;
    private String openCollege;
    private String formulaStr;

    private String statusStr;

    private List<String> inspectCollege;

    public Integer getActualCount() {
        return actualCount;
    }

    public void setActualCount(Integer actualCount) {
        this.actualCount = actualCount;
    }

    public String getSyncCourseCode() {
        return syncCourseCode;
    }

    public void setSyncCourseCode(String syncCourseCode) {
        this.syncCourseCode = syncCourseCode;
    }

    @Override
    public String getOpenCollege() {
        return openCollege;
    }

    @Override
    public void setOpenCollege(String openCollege) {
        this.openCollege = openCollege;
    }

    public List<String> getInspectCollege() {
        return inspectCollege;
    }

    public void setInspectCollege(List<String> inspectCollege) {
        this.inspectCollege = inspectCollege;
    }

    public String getFormulaStr() {
        return super.getFormula() != null ? super.getFormula().getName() : null;
    }

    public void setFormulaStr(String formulaStr) {
        this.formulaStr = formulaStr;
    }

    public String getStatusStr() {
        return super.getStatus() != null ? super.getStatus().getDesc() : null;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }
}
